import Head from 'next/head'
import Image from 'next/image'
import { Inter } from 'next/font/google'
import NavBar from '@/components/navigation/NavBar'
import Hero from '@/components/hero/Hero'


const inter = Inter({ subsets: ['latin'] })

const user = {
  Name: 'Tom Cook',
  email: 'tom@example.com',
  Username: 'TomCook',
  Avatar:
    'https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80',
}

export default function Home() {
  return (
    <>
      <Head>
        <title>Create Next App</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <main>
        <NavBar user={null}>
          {user && 
            <Hero />
          }
          {!user &&
          <div>
            logged in
          </div>
          }
        </NavBar>
      </main>
    </>
  )
}
